Package Details: pavucontrol-gtk2 3.0-3

Git Clone URL: https://aur.archlinux.org/pavucontrol-gtk2.git (read-only)
Package Base: pavucontrol-gtk2
Description: A GTK volume control tool for PulseAudio
Upstream URL: http://freedesktop.org/software/pulseaudio/pavucontrol/
Licenses: GPL2
Conflicts: pavucontrol
Provides: pavucontrol
Submitter: favadi
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 32
Popularity: 0.356300
First Submitted: 2012-04-02 16:53
Last Updated: 2015-10-13 22:55

Required by (10)

Sources (2)

Latest Comments

WorMzy commented on 2015-10-13 22:55

Disregard my previous message. This problem is fixed by adding -std=c++11 to CXXFLAGS. It does actually tell you this at the start of the compilation, it just gets burried by 19000 lines of spurious errors.

WorMzy commented on 2015-10-13 22:00

Unfortunately, this build failure appears to be caused by glibmm 2.46.1. File a bug upstream with pavucontrol.

Relevant commit in glibmm: https://git.gnome.org/browse/glibmm/commit/?id=75f6a7eaa224cb352aad0cb5282359e42f1f66a2 (literally the only change between 2.46.0 and 2.46.1)

EDIT: That commit isn't the one that's causing the problem; I just realised that Arch jumped from 2.44.0 to 2.46.1, so the commit that's causing these problems could be any commit between those two versions.

ktoump commented on 2015-10-13 21:23

fails to compile: https://gist.github.com/anonymous/3676dc065254580fbe68

WorMzy commented on 2013-04-22 09:55

Done. I've changed the url to a local file and bundled it in the tarball to prevent this happening again.

dodo3773 commented on 2013-04-22 08:12

checksum validation is failing on the patch. Still builds. Just need to update the checksum

WorMzy commented on 2013-03-31 02:04

Done. Cheers for the heads up.

VirtualTam commented on 2013-03-31 00:06

Hi! The patch has been updated, could you update its sha256sum as well?

WorMzy commented on 2013-03-13 11:55

Patch to fix 2.0 available here: https://github.com/alama/pavucontrol/commit/0aa2afc1b5ce24329f65c507111bfc1de5c53706.patch

Tested by me, can confirm works.

SirWuffleton commented on 2013-03-09 02:04

2.0 is out, however a heads up to the maintainer, it does not compile properly against GTK2 (although it retains the --disable-gtk3 configure flag). I think it uses some GTKMM3 speficic code in devicemanager.cc relating to GTK::Adjustment, but don't know enough about C++ to fix that myself.

martadinata666 commented on 2012-09-07 16:18

so glad find this package :)

All comments